Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
gimp segfault dopo aggiornamento di sistema [risolto]
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
yayo
n00b
n00b


Joined: 19 May 2014
Posts: 49

PostPosted: Sun May 08, 2022 9:59 pm    Post subject: gimp segfault dopo aggiornamento di sistema [risolto] Reply with quote

Salve!

Ieri sera dopo l'ultimo aggiornamento di sistema il mio gimp ha smesso di funzionare. Mi dà "segmentation fault".
L'aggiornamento concerneva altri software e librerie, non direttamente gimp, e comunque tutti pacchetti compilati e installati correttamente:
Code:
dev-util/meson-0.61.4-r2
x11-base/xorg-proto-2022.1
x11-libs/libdrm-2.4.110
x11-misc/compose-tables-1.7.5
x11-libs/libX11-1.7.5
media-libs/mesa-22.0.3
x11-libs/libXcursor-1.2.1
dev-libs/libevdev-1.12.1
media-libs/libepoxy-1.5.10
x11-libs/libxkbcommon-1.4.0
x11-apps/mkfontscale-1.2.2
x11-apps/iceauth-1.0.9
x11-apps/xauth-1.1.2
x11-misc/xkeyboard-config-2.35.1
x11-base/xorg-server-21.1.3-r2
media-libs/freeglut-3.2.2

Ho provato a reinstallarlo, ma senza successo (cioè compila e si installa, ma poi non parte).
Ho atteso oggi per vedere se c'erano indicazioni nel forum di qualche altro caso, ma non vedo niente.
Da root funziona, ma non so perché.
Le USE flag attivate sul pacchetto sono xpm, wmf e jpeg2k, e di sistema (per quel che posso vedere) è attiva aalib oltre quelle di default.
Mi pare di ricordare di aver installato anche un plugin lqr (liquid-rescale) o qualcosa del genere, che adesso non riesco a trovare.

Questo è l'output che il programma mi da come report per il bugtracking (quello dopo la ricompilazione, per quelli prima devo cercare i log dei singoli crash nelle cartelle di configurazione).
Code:

<!-- Copy-paste this whole debug data to report to developers -->


```
GNU Image Manipulation Program version 2.10.30
git-describe: GIMP_2_10_30
Build: unknown rev 0 for linux
# C compiler #
   Using built-in specs.
   COLLECT_GCC=x86_64-pc-linux-gnu-gcc
   COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-pc-linux-gnu/11.2.1/lto-wrapper
   Target: x86_64-pc-linux-gnu
   Configured with: /var/tmp/portage/sys-devel/gcc-11.2.1_p20220115/work/gcc-11-20220115/configure --host=x86_64-pc-linux-gnu --build=x86_64-pc-linux-gnu --prefix=/usr --bindir=/usr/x86_64-pc-linux-gnu/gcc-bin/11.2.1 --includedir=/usr/lib/gcc/x86_64-pc-linux-gnu/11.2.1/include --datadir=/usr/share/gcc-data/x86_64-pc-linux-gnu/11.2.1 --mandir=/usr/share/gcc-data/x86_64-pc-linux-gnu/11.2.1/man --infodir=/usr/share/gcc-data/x86_64-pc-linux-gnu/11.2.1/info --with-gxx-include-dir=/usr/lib/gcc/x86_64-pc-linux-gnu/11.2.1/include/g++-v11 --with-python-dir=/share/gcc-data/x86_64-pc-linux-gnu/11.2.1/python --enable-languages=c,c++,fortran --enable-obsolete --enable-secureplt --disable-werror --with-system-zlib --enable-nls --without-included-gettext --disable-libunwind-exceptions --enable-checking=release --with-bugurl=https://bugs.gentoo.org/ --with-pkgversion='Gentoo 11.2.1_p20220115 p4' --disable-esp --enable-libstdcxx-time --disable-libstdcxx-pch --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu --enable-multilib --with-multilib-list=m32,m64 --disable-fixed-point --enable-targets=all --enable-libgomp --disable-libssp --disable-libada --disable-cet --disable-systemtap --disable-valgrind-annotations --disable-vtable-verify --disable-libvtv --without-zstd --enable-lto --without-isl --enable-default-pie --enable-default-ssp
   Thread model: posix
   Supported LTO compression algorithms: zlib
   gcc version 11.2.1 20220115 (Gentoo 11.2.1_p20220115 p4)

# Libraries #
using babl version 0.1.88 (compiled against version 0.1.88)
using GEGL version 0.4.34 (compiled against version 0.4.34)
using GLib version 2.70.4 (compiled against version 2.70.4)
using GdkPixbuf version 2.42.6 (compiled against version 2.42.6)
using GTK+ version 2.24.33 (compiled against version 2.24.33)
using Pango version 1.50.4 (compiled against version 1.50.4)
using Fontconfig version 2.13.1 (compiled against version 2.13.1)
using Cairo version 1.16.0 (compiled against version 1.16.0)

```
> fatal error: Errore di segmentazione

Stack trace:
```
/usr/lib64/libgimpbase-2.0.so.0(gimp_stack_trace_print+0x3d8)[0x7f964790f698]
gimp(+0xdbcd4)[0x55b4b8240cd4]
gimp(+0xdc0a8)[0x55b4b82410a8]
gimp(+0xdc709)[0x55b4b8241709]
/lib64/libc.so.6(+0x3d7a0)[0x7f9646c5e7a0]
/usr/lib64/gallium-pipe/pipe_crocus.so(+0x48da79)[0x7f961ebb0a79]
/usr/lib64/gallium-pipe/pipe_crocus.so(+0xd6b12)[0x7f961e7f9b12]
/usr/lib64/gallium-pipe/pipe_crocus.so(+0xd67a7)[0x7f961e7f97a7]
/usr/lib64/gallium-pipe/pipe_crocus.so(+0x2ccc7)[0x7f961e74fcc7]
/usr/lib64/libMesaOpenCL.so.1(+0x6cb7b)[0x7f9628d16b7b]
/usr/lib64/libMesaOpenCL.so.1(+0x59822)[0x7f9628d03822]
/usr/lib64/libMesaOpenCL.so.1(+0x66fd8)[0x7f9628d10fd8]
/usr/lib64/libMesaOpenCL.so.1(+0x354ca)[0x7f9628cdf4ca]
/lib64/ld-linux-x86-64.so.2(+0x417e)[0x7f9647f4817e]
/lib64/ld-linux-x86-64.so.2(+0x4264)[0x7f9647f48264]
/lib64/libc.so.6(_dl_catch_exception+0xdd)[0x7f9646d6a2dd]
/lib64/ld-linux-x86-64.so.2(+0xb666)[0x7f9647f4f666]
/lib64/libc.so.6(_dl_catch_exception+0x80)[0x7f9646d6a280]
/lib64/ld-linux-x86-64.so.2(+0xb9db)[0x7f9647f4f9db]
/lib64/libc.so.6(+0x83588)[0x7f9646ca4588]
/lib64/libc.so.6(_dl_catch_exception+0x80)[0x7f9646d6a280]
/lib64/libc.so.6(_dl_catch_error+0x2f)[0x7f9646d6a33f]
/lib64/libc.so.6(+0x83086)[0x7f9646ca4086]
/lib64/libc.so.6(dlopen+0x44)[0x7f9646ca4614]
/usr/lib64/libOpenCL.so.1(+0x6c0d)[0x7f9628e65c0d]
/usr/lib64/libOpenCL.so.1(+0x709f)[0x7f9628e6609f]
/lib64/libc.so.6(+0x8c23a)[0x7f9646cad23a]
/usr/lib64/libOpenCL.so.1(+0x6593)[0x7f9628e65593]
/usr/lib64/libOpenCL.so.1(clGetPlatformIDs+0x12e)[0x7f9628e6825e]
/usr/lib64/libgegl-0.4.so.0(+0x6bad8)[0x7f96474a4ad8]
/usr/lib64/libgegl-0.4.so.0(+0x6c93b)[0x7f96474a593b]
/usr/lib64/libgegl-0.4.so.0(+0x2049d)[0x7f964745949d]
/usr/lib64/libgobject-2.0.so.0(g_closure_invoke+0x168)[0x7f964706a618]
/usr/lib64/libgobject-2.0.so.0(+0x2615a)[0x7f964707c15a]
/usr/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0xc27)[0x7f96470825b7]
/usr/lib64/libgobject-2.0.so.0(g_signal_emit+0x97)[0x7f9647082b27]
/usr/lib64/libgobject-2.0.so.0(+0x18d74)[0x7f964706ed74]
/usr/lib64/libgobject-2.0.so.0(+0x185ec)[0x7f964706e5ec]
/usr/lib64/libgobject-2.0.so.0(g_object_set_valist+0x120)[0x7f9647071d80]
/usr/lib64/libgobject-2.0.so.0(g_object_set+0xf4)[0x7f9647072754]
gimp(gimp_gegl_init+0xb9)[0x55b4b867ad69]
gimp(app_run+0x1f9)[0x55b4b8240319]
gimp(main+0x362)[0x55b4b823fd62]
/lib64/libc.so.6(+0x292fa)[0x7f9646c4a2fa]
/lib64/libc.so.6(__libc_start_main+0x78)[0x7f9646c4a3a8]
gimp(_start+0x21)[0x55b4b823fee1]

```


Sarebbe già il terzo pacchetto che mi dà problemi: negli altri casi (in passato) mi sono arrangiato diversamente, ma il gimp ogni tanto lo uso e non posso aggirare il problema.
Se qualcuno ha dei suggerimenti provo a metterlo a posto.


Last edited by yayo on Tue May 17, 2022 2:26 am; edited 1 time in total
Back to top
View user's profile Send private message
yayo
n00b
n00b


Joined: 19 May 2014
Posts: 49

PostPosted: Wed May 11, 2022 9:19 pm    Post subject: Reply with quote

Ok, evidentemente nessuno ha suggerimenti validi... :P

Comunque, se può interessare a qualcuno per eventuali casi analoghi, ho fatto qualche esperimento.
Ho rinominato la cartella GIMP in home, supponendo problemi nei file di configurazione (visto che da root funziona).

Adesso parte, anche se con impostazioni di default.
Apparentemente l'aggiornamento era solo una coincidenza. Probabilmente è qualche settaggio gestito male salvato durante l'ultima sessione.

Provo a capire cosa esattamente crea problemi, e se ci capisco qualcosa lo scrivo a uso documentazione.
:)


EDIT:
Il problema è l'impostazione (use-opencl yes) nel file /home/user/.config/GIMP/2.10/gimprc .
A qualcuno dice qualcosa?
Back to top
View user's profile Send private message
fedeliallalinea
Administrator
Administrator


Joined: 08 Mar 2003
Posts: 28261
Location: here

PostPosted: Thu May 12, 2022 5:11 am    Post subject: Reply with quote

yayo wrote:
Il problema è l'impostazione (use-opencl yes) nel file /home/user/.config/GIMP/2.10/gimprc .
A qualcuno dice qualcosa?

Sembra che sia una configurazione sperimentale attivabile dalle preferenze solo se lanci gimp con l'opzione --show-playground.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
yayo
n00b
n00b


Joined: 19 May 2014
Posts: 49

PostPosted: Thu May 12, 2022 8:28 pm    Post subject: Reply with quote

@fedeliallalinea

Grazie! Questo aiuta a chiarire le cose!

Quello che non capisco è perché il problema si sia presentato adesso.
Mi vengono in mente due possibilità: o una delle librerie che ho installato con l'aggiornamento è in uso da gimp e adesso per qualche motivo va in conflitto, oppure l'aggiornamento non centra niente e quello che va in conflitto è qualcosa che ho fatto io l'ultima volta che ho fatto editing.

Mi domando se quell'opzione si è attivata da sola per un bug o se (stranamente) era di default. (EDIT: No, se da root gimp mi funzionava, forse di default era spenta... Boh...)
Comunque l'importante è aver capito come risolvere per far girare il programma.
Per il resto (eventualmente) proverò a segnalare la cosa. : /

EDIT:
tolta l'opzione misteriosa gimp funziona perfettamente, quindi lo segno come problema risolto.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum